package com.logicbig.example;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.convert.ConversionService;
import org.springframework.core.convert.support.DefaultConversionService;

@Configuration
public class Config {

    @Bean
    public ConversionService conversionService() {
        DefaultConversionService service = new DefaultConversionService();
        //registering our custom ConverterFactory
        service.addConverterFactory(new StringToShapeConverterFactory());
        return service;
    }

    @Bean
    public ClientBean clientBean() {
        return new ClientBean();
    }
}