package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

public class CustomConverterFactoryExample {

    public static void main(String[] args) {

        AnnotationConfigApplicationContext context = new
                AnnotationConfigApplicationContext(Config.class);

        ClientBean clientBean = context.getBean(ClientBean.class);
        Shape shape = clientBean.getShape("10", Circle.class);
        System.out.println(shape);

        shape = clientBean.getShape("4", Square.class);
        System.out.println(shape);
    }
}