package com.logicbig.example;

import org.springframework.core.convert.converter.Converter;

public class ShapeConverter<T extends Shape> implements Converter<String, T> {

    private Class<T> targetType;

    public ShapeConverter(Class<T> targetType) {
        this.targetType = targetType;
    }

    @Override
    public T convert(String source) {
       if(targetType==Square.class){
           int side = Integer.parseInt(source);
           return (T) new Square(side);
       }else if(targetType==Circle.class){
           int radius = Integer.parseInt(source);
           return (T) new Circle(radius);
       }
        return null;
    }
}