package com.logicbig.example;

import org.springframework.core.convert.converter.Converter;
import org.springframework.core.convert.converter.ConverterFactory;

public class StringToShapeConverterFactory implements ConverterFactory<String, Shape> {

    @Override
    public <T extends Shape> Converter<String, T> getConverter(Class<T> targetType) {
        return new ShapeConverter<>(targetType);
    }
}